Replaced /bin/sh by /bin/bash
[hvlinux.git] / stage2 / cis-iana
index 2f6c42b..bd972fe 100755 (executable)
@@ -1,4 +1,5 @@
-#!/bin/sh
+#!/bin/bash
+set -o errexit
 
 # Reading system configuration informations, functions and package versions.
 source ../sysinfos
@@ -6,13 +7,13 @@ source ../functions
 source ../packages-list
 
 # Applying patches (if any)
-apply_patches ${1} &&
+apply_patches ${1}
 
 # iana-etc installs /etc/services and /etc/protocols using data from the
 # Internet Assigned Numbers Authority.
 
-cd ${LFS_TMP}/${1} &&
-make -j ${MAKEJOBS} &&
+cd ${LFS_TMP}/${1}
+make -j ${MAKEJOBS}
 make install
 
 # Return last error